CSegStar Class Reference
Perfusion Analysis

Helper class for the segmentation of the left heart ventricle myocardium. More...

`#include <mia/2d/segstar.hh>`

Collaboration diagram for CSegStar:
[legend]

## Public Member Functions

| CSegStar ()
| CSegStar (const CSegPoint2D &center, float r, const CSegPoint2D &d1, const CSegPoint2D &d2, const CSegPoint2D &d3)
| CSegStar (const CXMLElement &node)
void | inv_transform (const C2DTransformation &t)
void | shift (const C2DFVector &delta)
void | transform (const C2DTransformation &t)
void | write (CXMLElement &node) const

## Data Fields

CSegPoint2D | m_center
| center of the circle approximating the outer wall of the LV myocardium
CSegPoint2D | m_directions [3]
| the ray directions to define the star
float | m_radius
| radius of the circle approximating the outer wall of the LV myocardium

## Detailed Description

Helper class for the segmentation of the left heart ventricle myocardium.

This class implements the segmentation helper that defines the center of a circle, six rays and the circle. It is used to help the (manual) segmentation of the left heart myocardium.

Definition at line 38 of file segstar.hh.

## Constructor & Destructor Documentation

## CSegStar() [1/3]

CSegStar::CSegStar | ( |  | ) |

Standard constructor

## CSegStar() [2/3]

CSegStar::CSegStar | ( | const CSegPoint2D & | center,
|  | float | r,
|  | const CSegPoint2D & | d1,
|  | const CSegPoint2D & | d2,
|  | const CSegPoint2D & | d3 )

Constructor to create the CSegStar from given data

Parameters

  center | center of the circle appoximating the outer wall of the myocardium
  r | radius of the circle appoximating the outer wall of the myocardium
  d1 | first ray, its intersection should coinceede with the right ventricle insertion point
  d2 | second ray direction vector
  d3 | third ray direction vector

## CSegStar() [3/3]

CSegStar::CSegStar | ( | const CXMLElement & | node | ) |

Constructor to create a CSegStar from a XML sub tree

Parameters

  node | root of the sub tree

## Member Function Documentation

## inv_transform()

void CSegStar::inv_transform | ( | const C2DTransformation & | t | ) |

Transform the star by transforming the intersections between the rays and the circle and then re-evaluating the center and the circle radius

Parameters

  t | inverse of the transformation to be applied

## shift()

void CSegStar::shift | ( | const C2DFVector & | delta | ) |

Shift the segmentation data

Parameters

  delta |

## transform()

void CSegStar::transform | ( | const C2DTransformation & | t | ) |

Transform the star by transforming the intersections between the rays and the circle and then re-evaluating the center and the circle radius

Parameters

  t | transformation to be applied

## write()

void CSegStar::write | ( | CXMLElement & | node | ) | const

write the CSegStar info to a XML node

Parameters

  node | root node to add the info to

## Field Documentation

## m_center

CSegPoint2D CSegStar::m_center

center of the circle approximating the outer wall of the LV myocardium

Definition at line 89 of file segstar.hh.

## m_directions

CSegPoint2D CSegStar::m_directions[3]

the ray directions to define the star

Definition at line 93 of file segstar.hh.

## m_radius

float CSegStar::m_radius

radius of the circle approximating the outer wall of the LV myocardium

Definition at line 91 of file segstar.hh.

The documentation for this class was generated from the following file:

- segstar.hh